html {
  scroll-behavior: smooth;
  scroll-padding-top: 3rem;

  @media screen and (max-width: 850px) {
    scroll-padding-top: 0rem;
  }
}

/* テスト用：front.cssが読み込まれているか確認
body {
  border: 5px solid red !important;
} */

.mv {
  background: linear-gradient(180deg, #F6F6F6 29.18%, #FFFFFF 100%);
  height: calc(100vh - 11rem);
  margin-top: 11rem;
  position: relative;
}

.mv .container {
  position: absolute;
  width: 94rem;
  height: 53rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.mv__img {
  position: absolute;
  width: 46.5rem;
  height: 46.5rem;
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
}

.mv__img.left {
  left: 3.3rem;
  opacity: 0;
  animation: image-switch-animation-3s 18s infinite;
}

.mv__img.left.slide1 {
  animation-delay: 0s;
}

.mv__img.left.slide2 {
  animation-delay: 6s;
}

.mv__img.left.slide3 {
  animation-delay: 12s;
}

.mv__img.right {
  right: 3.3rem;
  opacity: 0;
  animation: image-switch-animation-3s 12s infinite;
}

.mv__img.right.slideFirst {
  opacity: 0;
  animation: initial-fade 6s;
}

.mv__img.right.slide1 {
  animation-delay: 0s;
}

.mv__img.right.slide2 {
  animation-delay: 4s;
}

.mv__img.right.slide3 {
  animation-delay: 8s;
}

.mv__img.--circle.left {
  left: 0;
}

.mv__img.--circle.right {
  right: 0;
}

.mv__img.--circle {
  opacity: 0.8 !important;
  width: 53rem;
  height: 53rem;
}

.zIndex1 {
  z-index: 1;
}

.zIndex2 {
  z-index: 2;
}

.zIndex3 {
  z-index: 3;
}

@keyframes initial-fade {
  0% {
    opacity: 0;
  }

  20% {
    opacity: 1;
  }

  100% {
    opacity: 1;
  }
}

@keyframes image-switch-animation-3s {
  0% {
    opacity: 0;
  }

  10% {
    opacity: 1;
  }

  33% {
    opacity: 1;
  }

  43% {
    opacity: 0;
  }

  100% {
    opacity: 0;
  }
}

.mv__message {
  width: 64rem;
  position: absolute;
  z-index: 6;
  top: 55%;
  left: -15%;
}

.mv__scroll {
  position: absolute;
  font-weight: 700;
  text-align: center;
  bottom: -3rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 7;
}

.mv__scroll--arrow {
  width: 3.2rem;
  margin-top: 0.8rem;
  animation: arrow-move 2s infinite;
}

@keyframes arrow-move {
  0% {
    transform: translate(0, 0);
  }

  20% {
    transform: translate(0, 10px);
  }

  40% {
    transform: translate(0, 0);
  }
}

.about {
  padding-top: 10rem;
}

/* 個別設定は削除 - グローバル設定を使用 */

.about .container {
  width: fit-content;
}

.about__text {
  line-height: 3.2rem;
  margin-top: 1.6rem;

  .br-top,
  .br-bottom,
  .br-middle {
    display: none;

    @media screen and (min-width: 851px) {
      display: block;
    }
  }
}

.about-scroll {
  margin-top: 6.5rem;
  width: 100%;
  overflow: hidden;
}

.about-scroll__track {
  /* animation: loop 40s linear infinite; */
  width: max-content;
  height: 19rem;
  display: flex;
  gap: 32px;
  perspective: 1000;
}

/* JavaScriptで追加されるクラス */
.about-scroll__track.animate-loop {
  animation: loop 40s linear infinite;
}

.about-scroll__img {
  width: auto;
}

@keyframes loop {
  0% {
    transform: translateX(0);
    perspective: 1000;
  }

  100% {
    transform: translateX(calc(-50% - 3rem / 2));
  }
}

.news {
  padding: 8rem 0;
}

.news .container {
  position: relative;
}

.news .topTitle__main {
  font-size: 4rem;
  line-height: 1;
}

.news__link {
  position: absolute;
  top: 0rem;
  right: 0;
  display: grid;
  grid-template-columns: max-content 4rem;
  gap: 1.6rem;
  align-items: center;
  height: 4rem;
  transition: 0.3s;
  font-weight: 700;
}

.news__link--arrow {
  height: 100%;
  position: relative;
}

.news__link--img {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  transition: 0.3s;
}

.news__link:hover {
  color: #6FC300;
}

.news__link:hover .news__link--img.default {
  opacity: 0;
}

.news .post-scroll {
  margin-top: 2.4rem;
}

.news .post-scroll__wrapper {
  max-height: 45.8rem;
}

.message {
  background-color: rgba(165, 165, 165, 0.16);
  padding: 6.4rem 0;
}

.message .container {
  display: flex;
  gap: 6.4rem;
  position: relative;
}

.message .container .message-content{
  width: calc(calc(100% - 6.4rem) / 2);
}

.message-content__link {
  border-radius: 4px;
  overflow: hidden;
  display: block;
  height: 26rem;
  position: relative;
}

.message-content__img {
  transition: 0.3s;
  height: 100%;
}

.message-content__link:hover .message-content__img {
  transform: scale(1.05);
}

.message-content__arrow {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 5.6rem;
  height: 5.6rem;
}

.message-content__arrowImg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: 0.3s;
}

.message-content__link:hover .message-content__arrowImg:last-child {
  opacity: 0;
}

.message-content__title {
  font-size: 2rem;
  font-weight: 700;
  margin-top: 2.4rem;
  margin-bottom: 1.6rem;
}

.message-star__top {
  width: 8rem;
  height: 11rem;
  top: -11rem;
  right: -4rem;
}

.message-star__bottom {
  transform: rotate(0);
  bottom: -9rem;
  left: -5.6rem;
}

.message-star__item1 {
  left: 4rem;
  top: 0;
  width: 12px;
  height: 12px;
  animation-delay: 1s;
}

.message-star__item2 {
  left: 0;
  top: 6rem;
  width: 8px;
  height: 8px;
  animation-delay: 0.3s;
}

.message-star__item3 {
  right: 0;
  bottom: 0;
  width: 4px;
  height: 4px;
  animation-delay: 0s;
}

.company {
  padding: 8rem 0 12rem 0;
  background: linear-gradient(180deg, #F6F6F6 29.18%, #FFFFFF 100%);
}

.company .container {
  position: relative;
}

.company-wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2.4rem;
}

.company-links {
  border-radius: 4px;
  border: 1px #E3E3E3 solid;
  display: block;
  padding: 3.2rem 2.4rem;
  background-color: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1.4rem;
  transition: 0.3s;
}

.company-links:hover {
  background-color: #6FC300;
  border-color: #6FC300;
  color: #fff;
}

.company-title.--ja {
  letter-spacing: 0.02em;
  position: relative;
  padding-left: 16px;
}

.company-title.--ja::before {
  content: "";
  height: 8px;
  width: 8px;
  border-radius: 50%;
  background-color: #6FC300;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  transition: 0.3s;
}

.company-links:hover .company-title.--ja::before {
  background-color: #fff;
}

.company-title.--en {
  font-size: 2.6rem;
  font-weight: 600;
  line-height: 100%;
}

.company-links__icon {
  height: 4rem;
  width: 4rem;
  position: relative;
}

.company-links__arrow {
  position: absolute;
  top: 0;
  left: 0;
}

.company-links__arrow.--hover {
  opacity: 0;
  transition: 0.3s;
}

.company-links:hover .company-links__arrow.--hover {
  opacity: 1;
}

.company-product {
  background-color: #F6F6F6;
  border: 1px #E3E3E3 solid;
  border-radius: 4px;
  margin-top: 4rem;
  overflow: hidden;
  height: 29rem;
}

.company-product__wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}

.company-product__text {
  padding: 0 4rem;
}

.company-product__text .company-title {
  margin-bottom: 1.6rem;
}

.company-product__link {
  margin-top: 3.2rem;
  background-color: #6FC300;
  display: block;
  color: #fff;
  border-radius: 4px;
  display: flex;
  width: 26rem;
  justify-content: space-between;
  font-weight: 700;
  padding: 1rem 1rem 1rem 2.4rem;
  box-sizing: border-box;
  align-items: center;
  transition: 0.3s;
  border: 1px #6FC300 solid;
}

.company-product__link:hover {
  background-color: #fff;
  color: #6FC300;
}

.company-product__link--icon {
  position: relative;
  width: 3.4rem;
  height: 3.4rem;
}

.company-product__link--arrow {
  position: absolute;
  top: 0;
  left: 0;
  transition: 0.3s;
}

.company-product__link:hover .company-product__link--arrow.--hover {
  opacity: 0;
}

.company-product__image {
  display: flex;
  flex-wrap: wrap;
  border-left: 1px #E3E3E3 solid;
  height: 29rem;
}

.company-product__image--item {
  width: 50%;
  height: 50%;
}

.company-star__right {
  width: 5rem;
  height: 4rem;
  position: absolute;
  bottom: -5rem;
  right: -6rem;
}

.company-star__item1 {
  right: 0;
  top: 0;
  width: 4px;
  height: 4px;
  animation-delay: 0.5s;
}

.company-star__item2 {
  left: 0;
  bottom: 0;
  width: 8px;
  height: 8px;
  animation-delay: 0s;
}

.--news--use-sp {
  display: none;
}

@media screen and (max-width: 850px) {
  .news__link {
    position: relative;
    padding-top: 0.8rem;
  }

  .--news--use-pc {
    display: none;
  }

  .--news--use-sp {
    display: block;
  }

  .news {
    padding-bottom: 5rem;
  }

  .mv {
    padding-top: 15rem;
    margin-top: 0;
    height: auto;
    position: relative;
  }

  .mv .container {
    transform: scale(2);
    position: relative;
    top: inherit;
    left: auto;
    width: 33.5rem;
    height: 18.3rem;
  }

  .mv__img.--circle {
    opacity: 0.8 !important;
    width: 18.3rem;
    height: 18.3rem;
  }

  .mv__img {
    position: absolute;
    width: 16.1rem;
    height: 16.1rem;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
  }

  .mv__img.right {
    right: 1.1rem;
  }

  .mv__img.left {
    left: 1.1rem;
  }

  .mv__message {
    width: 18.3rem;
    top: 59%;
    left: -7%;
  }

  .mv__scroll.for-sp {
    font-size: 1.4rem;
    line-height: 1;
    bottom: -10rem;
    display: inline-block;
  }

  .mv__scroll--arrow {
    width: 2.4rem;
  }

  .about {
    padding-top: 22rem;
  }

  .about .container {
    width: 90%;
  }

  .news .post-scroll__wrapper {
    max-height: 80rem;
  }

  .news .post-scroll {
    margin-top: 2rem;
  }

  .message {
    padding: 6rem 0 5rem 0;
  }

  .message .container {
    display: grid;
    gap: 6rem;
  }

  .message .container .message-content{
    width: 100%;
  }

  .message-content__img {
    object-position: 0% 10%;
  }

  .message-content__title {
    margin-top: 2rem;
  }

  .message-star__top {
    top: -12rem;
    right: -2rem;
  }

  .message-star__bottom {
    bottom: -13rem;
    left: -1.6rem;
  }

  .company {
    position: relative;
    padding-top: 6rem;
  }

  .company-wrapper {
    grid-template-columns: none;
  }

  .company-product {
    height: auto;
  }

  .company-product__wrapper {
    display: block;
    padding-top: 4rem;
  }

  .company-product__text {
    padding: 0;
    width: 90%;
    margin: 0 auto;
    margin-bottom: 5.4rem;
  }

  .company-title.--ja {
    margin-bottom: 0.8rem;
  }

  .company-product .company-title.--en {
    margin-bottom: 2.4rem;
  }

  .company-product__link {
    margin-top: 2.4rem;
  }

  .company-links {
    gap: 1rem;
    display: grid;
    grid-template-columns: 1fr 4rem;
  }

  .company-product__image {
    width: 90%;
    margin: 0 auto;
  }

  .company .common-star__bottom {
    bottom: 6rem;
    left: 2rem;
  }
}

@media screen and (max-width: 770px) {
  .mv {
    padding-top: 11rem;
  }

  .mv .container {
    transform: scale(1.7);
  }

  .mv__scroll.for-sp {
    bottom: -9rem;
  }

  .about {
    padding-top: 18rem;
  }
}

@media screen and (max-width: 640px) {
  .mv {
    padding-top: 10rem;
  }

  .mv .container {
    transform: scale(1.5);
  }

  .mv__scroll.for-sp {
    bottom: -7rem;
  }

  .about {
    padding-top: 17rem;
  }
}

@media screen and (max-width: 570px) {
  .mv {
    padding-top: 8rem;
  }

  .mv .container {
    transform: scale(1.3);
  }

  .mv__scroll.for-sp {
    bottom: -6rem;
  }

  .about {
    padding-top: 15rem;
  }
}

@media screen and (max-width: 490px) {
  .mv {
    padding-top: 5rem;
  }

  .mv .container {
    transform: scale(1);
  }

  .mv__scroll.for-sp {
    bottom: -4rem;
  }

  .about {
    padding-top: 12rem;
  }

  .message-content__img {
    object-position: 0%;
  }

  .message-content__link {
    height: 17rem;
  }

  .company-product__image {
    height: 17rem;
  }

  .message-star__top {
    top: -12rem;
    right: -1rem;
  }
}
